#include "latfold.h"
#include "icon/latfold-16.xpm"
#include "icon/latfold-32.xpm"
#include "icon/latfold-48.xpm"
#include "icon/latfold-100.xpm"

void set_icon(void) {
	GList *icons = NULL;
	icons = g_list_prepend(icons, gdk_pixbuf_new_from_xpm_data((const char**)latfold_100_xpm));
	icons = g_list_prepend(icons, gdk_pixbuf_new_from_xpm_data((const char**)latfold_48_xpm));
	icons = g_list_prepend(icons, gdk_pixbuf_new_from_xpm_data((const char**)latfold_32_xpm));
	icons = g_list_prepend(icons, gdk_pixbuf_new_from_xpm_data((const char**)latfold_16_xpm));
	gtk_window_set_default_icon_list(icons);
	g_list_foreach(icons, (GFunc)&g_object_unref, NULL);
	g_list_free(icons);
	return;
}
